Change Updates

Do not miss any Komfortkasse API v2 changes, ever again

Subscribe to the Komfortkasse API v2 changelog to be up to date on recent changes.

RSS

1 day ago

main
2.0.0
Compare

API structure has changed

13 structure changes including:
13 Modifications
Modified 13 Breaking
GET /image/{orderNumber}
  • Path went from /image/{number} to /image/{orderNumber} (same operationId)
  • Query
  • type query parameter Modified
    • Query parameter is no longer required
  • Response
  • 400 response Modified
    • application/json content type Added
  • 401 response Modified
    • application/json content type Added
  • 404 response Modified
    • application/json content type Added
  • Header
  • X-Komfortkasse-API-Key header Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Path
  • number path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • orderNumber path parameter Added
GET /order/{orderNumber}
  • Path went from /order/{number} to /order/{orderNumber} (same operationId)
  • Response
  • 200 response Modified
    • application/json content type Modified
      • date, type, amount, currency, number properties Modified
        • Properties are now required
          Breaking
      • itemNumbers property Modified
        • Property is now deprecated
        • Type went from array to array[string]
      • items property Modified
        • Type went from array to array[object]
        • OrderItem property Added
      • invoiceNumbers, shippingNumbers, proformaNumbers properties Modified
        • Type went from array to array[string]
      • billing property Modified
        • Property is now required
          Breaking
        • countryCode property Modified
          • Property is now required
            Breaking
      • shipping property Modified
        • countryCode property Modified
          • Property is now required
            Breaking
      • postings property Modified
        • Permission is now readOnly
        • Type went from array to array[object]
        • Posting property Added
      • collectionHistory property Modified
        • Permission is now readOnly
        • Type went from array to array[object]
        • OrderCollectionHistory property Added
      • paymentReminders property Modified
        • Permission is now readOnly
        • Type went from array to array[object]
        • OrderReminder property Added
      • refunds property Modified
        • Permission is now readOnly
        • Type went from array to array[object]
        • object-2 property Added
  • 400 response Modified
    • application/json content type Added
  • 401 response Modified
    • application/json content type Added
  • 404 response Modified
    • application/json content type Added
  • Header
  • X-Komfortkasse-API-Key header Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Path
  • number path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • orderNumber path parameter Added
GET /orders
  • Response
  • 200 response Modified
    • application/json content type Modified
      • Type went from array to array[object]
      • object-2 property Added
  • 400 response Modified
    • application/json content type Added
  • 401 response Modified
    • application/json content type Added
  • 404 response Modified
    • application/json content type Added
  • Header
  • X-Komfortkasse-API-Key header Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /postings
  • Response
  • 200 response Modified
    • application/json content type Modified
      • Type went from array to array[object]
      • object-2 property Added
  • 400 response Modified
    • application/json content type Added
  • 401 response Modified
    • application/json content type Added
  • 404 response Modified
    • application/json content type Added
  • Header
  • X-Komfortkasse-API-Key header Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
POST /order/remove/{orderNumber}
  • Path went from /order/remove/{number} to /order/remove/{orderNumber} (same operationId)
  • Response
  • 200 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
  • 400 response Modified
    • application/json content type Added
  • 401 response Modified
    • application/json content type Added
  • 404 response Modified
    • application/json content type Added
  • Header
  • X-Komfortkasse-API-Key header Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Path
  • number path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • orderNumber path parameter Added
POST /order/{orderNumber}
  • Path went from /order/{number} to /order/{orderNumber} (same operationId)
  • Body
  • application/json content type Modified
    • Content type is now required
      Breaking
    • date, type, amount, currency properties Modified
      • Properties are now required
        Breaking
    • itemNumbers property Modified
      • Property is now deprecated
      • Type went from array to array[string]
    • items property Modified
      • Type went from array to array[object]
      • OrderItem property Added
    • invoiceNumbers, shippingNumbers, proformaNumbers properties Modified
      • Type went from array to array[string]
    • billing property Modified
      • Property is now required
        Breaking
      • countryCode property Modified
        • Property is now required
          Breaking
    • shipping property Modified
      • countryCode property Modified
        • Property is now required
          Breaking
  • Response
  • 200 response Modified
    • application/json content type Modified
      • date, type, amount, currency, number properties Modified
        • Properties are now required
          Breaking
      • itemNumbers property Modified
        • Property is now deprecated
        • Type went from array to array[string]
      • items property Modified
        • Type went from array to array[object]
        • OrderItem property Added
      • invoiceNumbers, shippingNumbers, proformaNumbers properties Modified
        • Type went from array to array[string]
      • billing property Modified
        • Property is now required
          Breaking
        • countryCode property Modified
          • Property is now required
            Breaking
      • shipping property Modified
        • countryCode property Modified
          • Property is now required
            Breaking
      • postings property Modified
        • Permission is now readOnly
        • Type went from array to array[object]
        • Posting property Added
      • collectionHistory property Modified
        • Permission is now readOnly
        • Type went from array to array[object]
        • OrderCollectionHistory property Added
      • paymentReminders property Modified
        • Permission is now readOnly
        • Type went from array to array[object]
        • OrderReminder property Added
      • refunds property Modified
        • Permission is now readOnly
        • Type went from array to array[object]
        • object-2 property Added
  • 400 response Modified
    • application/json content type Added
  • 401 response Modified
    • application/json content type Added
  • 404 response Modified
    • application/json content type Added
  • Header
  • X-Komfortkasse-API-Key header Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Path
  • number path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • orderNumber path parameter Added
POST /order/{orderNumber}/cancel
  • Path went from /order/{number}/cancel to /order/{orderNumber}/cancel (same operationId)
  • Response
  • 200 response Modified
    • application/json content type Modified
      • date, type, amount, currency, number properties Modified
        • Properties are now required
          Breaking
      • itemNumbers property Modified
        • Property is now deprecated
        • Type went from array to array[string]
      • items property Modified
        • Type went from array to array[object]
        • OrderItem property Added
      • invoiceNumbers, shippingNumbers, proformaNumbers properties Modified
        • Type went from array to array[string]
      • billing property Modified
        • Property is now required
          Breaking
        • countryCode property Modified
          • Property is now required
            Breaking
      • shipping property Modified
        • countryCode property Modified
          • Property is now required
            Breaking
      • postings property Modified
        • Permission is now readOnly
        • Type went from array to array[object]
        • Posting property Added
      • collectionHistory property Modified
        • Permission is now readOnly
        • Type went from array to array[object]
        • OrderCollectionHistory property Added
      • paymentReminders property Modified
        • Permission is now readOnly
        • Type went from array to array[object]
        • OrderReminder property Added
      • refunds property Modified
        • Permission is now readOnly
        • Type went from array to array[object]
        • object-2 property Added
  • 400 response Modified
    • application/json content type Added
  • 401 response Modified
    • application/json content type Added
  • 404 response Modified
    • application/json content type Added
  • Header
  • X-Komfortkasse-API-Key header Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Path
  • number path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • orderNumber path parameter Added
POST /order/{orderNumber}/invoice/{invoiceNumber}
  • Path went from /order/{number}/invoice/{invoicenumber} to /order/{orderNumber}/invoice/{invoiceNumber} (same operationId)
  • Path
  • invoiceNumber path parameter Modified
    • Name went from invoicenumber to invoiceNumber
      Breaking
  • number path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • orderNumber path parameter Added
  • Response
  • 400 response Modified
    • application/json content type Added
  • 401 response Modified
    • application/json content type Added
  • 404 response Modified
    • application/json content type Added
  • Header
  • X-Komfortkasse-API-Key header Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Body
  • application/pdf content type Added
POST /order/{orderNumber}/refund
  • Path went from /order/{number}/refund to /order/{orderNumber}/refund (same operationId)
  • Body
  • application/json content type Modified
    • Content type is now required
      Breaking
    • Refund property Added
  • Response
  • 200 response Modified
    • application/json content type Modified
      • amount, currency properties Modified
        • Properties are now required
          Breaking
  • 400 response Modified
    • application/json content type Added
  • 401 response Modified
    • application/json content type Added
  • 404 response Modified
    • application/json content type Added
  • Header
  • X-Komfortkasse-API-Key header Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Path
  • number path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • orderNumber path parameter Added
POST /order/{orderNumber}/setpaid
  • Path went from /order/{number}/setpaid to /order/{orderNumber}/setpaid (same operationId)
  • Response
  • 200 response Modified
    • application/json content type Modified
      • date, type, amount, currency, number properties Modified
        • Properties are now required
          Breaking
      • itemNumbers property Modified
        • Property is now deprecated
        • Type went from array to array[string]
      • items property Modified
        • Type went from array to array[object]
        • OrderItem property Added
      • invoiceNumbers, shippingNumbers, proformaNumbers properties Modified
        • Type went from array to array[string]
      • billing property Modified
        • Property is now required
          Breaking
        • countryCode property Modified
          • Property is now required
            Breaking
      • shipping property Modified
        • countryCode property Modified
          • Property is now required
            Breaking
      • postings property Modified
        • Permission is now readOnly
        • Type went from array to array[object]
        • Posting property Added
      • collectionHistory property Modified
        • Permission is now readOnly
        • Type went from array to array[object]
        • OrderCollectionHistory property Added
      • paymentReminders property Modified
        • Permission is now readOnly
        • Type went from array to array[object]
        • OrderReminder property Added
      • refunds property Modified
        • Permission is now readOnly
        • Type went from array to array[object]
        • object-2 property Added
  • 400 response Modified
    • application/json content type Added
  • 401 response Modified
    • application/json content type Added
  • 404 response Modified
    • application/json content type Added
  • Header
  • X-Komfortkasse-API-Key header Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Path
  • number path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • orderNumber path parameter Added
POST /order/{orderNumber}/setunpaid
  • Path went from /order/{number}/setunpaid to /order/{orderNumber}/setunpaid (same operationId)
  • Response
  • 200 response Modified
    • application/json content type Modified
      • date, type, amount, currency, number properties Modified
        • Properties are now required
          Breaking
      • itemNumbers property Modified
        • Property is now deprecated
        • Type went from array to array[string]
      • items property Modified
        • Type went from array to array[object]
        • OrderItem property Added
      • invoiceNumbers, shippingNumbers, proformaNumbers properties Modified
        • Type went from array to array[string]
      • billing property Modified
        • Property is now required
          Breaking
        • countryCode property Modified
          • Property is now required
            Breaking
      • shipping property Modified
        • countryCode property Modified
          • Property is now required
            Breaking
      • postings property Modified
        • Permission is now readOnly
        • Type went from array to array[object]
        • Posting property Added
      • collectionHistory property Modified
        • Permission is now readOnly
        • Type went from array to array[object]
        • OrderCollectionHistory property Added
      • paymentReminders property Modified
        • Permission is now readOnly
        • Type went from array to array[object]
        • OrderReminder property Added
      • refunds property Modified
        • Permission is now readOnly
        • Type went from array to array[object]
        • object-2 property Added
  • 400 response Modified
    • application/json content type Added
  • 401 response Modified
    • application/json content type Added
  • 404 response Modified
    • application/json content type Added
  • Header
  • X-Komfortkasse-API-Key header Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Path
  • number path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • orderNumber path parameter Added
POST /orders
  • Body
  • application/json content type Modified
    • Content type is now required
      Breaking
    • object-2 property Added
  • Response
  • 200 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
  • 400 response Modified
    • application/json content type Added
  • 401 response Modified
    • application/json content type Added
  • 404 response Modified
    • application/json content type Added
  • Header
  • X-Komfortkasse-API-Key header Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
POST /ordersync
  • Body
  • application/json content type Modified
    • Content type is now required
      Breaking
    • object-2 property Added
  • Response
  • 200 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
  • 400 response Modified
    • application/json content type Added
  • 401 response Modified
    • application/json content type Added
  • 404 response Modified
    • application/json content type Added
  • Header
  • X-Komfortkasse-API-Key header Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking